Page MenuHomePhabricator

going beyond the array
Closed, ResolvedPublic

Description

valgrind out:

22243== Thread 1:

22243== Invalid write of size 8

22243== at 0x4E47F53: graph_data_normalize (navigation.c:43)

22243== by 0x4E47F53: graph_data_append (navigation.c:96)

22243== by 0x4E48367: _graph_data_update_cb (navigation.c:197)

22243== by 0x57DD096: _eo_evas_smart_cb (evas_object_smart.c:78)

22243== by 0x7F540F8: _event_callback_call (eo_base_class.c:1545)

22243== by 0x7F540F8: _efl_object_event_callback_legacy_call (eo_base_class.c:1618)

22243== by 0x7F50C57: efl_event_callback_legacy_call (eo_base_class.c:1621)

22243== by 0x57D19A8: _efl_canvas_object_efl_object_event_callback_legacy_call (evas_object_main.c:1267)

22243== by 0x7F50C57: efl_event_callback_legacy_call (eo_base_class.c:1621)

22243== by 0x57DEB20: evas_object_smart_callback_call (evas_object_smart.c:1038)

22243== by 0x4E44A66: _log_file_first_read_feedback (logload.c:606)

22243== by 0x5319397: _ecore_notify_handler (ecore_thread.c:276)

22243== by 0x52F26BC: _ecore_main_call_flush (ecore.c:1034)

22243== by 0x52F2709: _thread_callback (ecore.c:1045)

22243== Address 0x18255360 is 0 bytes after a block of size 2,400 alloc'd

22243== at 0x4C2FB55: calloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)

22243== by 0x4E47EE3: graph_data_normalize (navigation.c:33)

22243== by 0x4E47EE3: graph_data_append (navigation.c:96)

22243== by 0x4E48367: _graph_data_update_cb (navigation.c:197)

22243== by 0x57DD096: _eo_evas_smart_cb (evas_object_smart.c:78)

22243== by 0x7F540F8: _event_callback_call (eo_base_class.c:1545)

22243== by 0x7F540F8: _efl_object_event_callback_legacy_call (eo_base_class.c:1618)

22243== by 0x7F50C57: efl_event_callback_legacy_call (eo_base_class.c:1621)

22243== by 0x57D19A8: _efl_canvas_object_efl_object_event_callback_legacy_call (evas_object_main.c:1267)

22243== by 0x7F50C57: efl_event_callback_legacy_call (eo_base_class.c:1621)

22243== by 0x57DEB20: evas_object_smart_callback_call (evas_object_smart.c:1038)

22243== by 0x4E44A66: _log_file_first_read_feedback (logload.c:606)

22243== by 0x5319397: _ecore_notify_handler (ecore_thread.c:276)

22243== by 0x52F26BC: _ecore_main_call_flush (ecore.c:1034)

i.furs created this task.Oct 24 2017, 9:53 AM
Deepwarrior moved this task from Backlog to Defects on the Profiling Viewer board.Oct 25 2017, 8:21 AM
Deepwarrior added a project: Bug Report.
Deepwarrior moved this task from Defects to 1.1 on the Profiling Viewer board.
Deepwarrior edited projects, added Profiling Viewer (1.1); removed Profiling Viewer.
Deepwarrior moved this task from Backlog to Doing on the Profiling Viewer (1.1) board.
NikaWhite moved this task from Review to Done on the Profiling Viewer (1.1) board.Oct 27 2017, 1:01 AM
NikaWhite closed this task as Resolved.Dec 26 2017, 8:51 AM